#include "inactive_account_msg_2.h"

// Author: Steve Talbot

inactive_account_msg_2:: inactive_account_msg_2(){
}

inactive_account_msg_2:: ~inactive_account_msg_2(){
}

bool inactive_account_msg_2:: inactive_account_msg( Data* data_ ){

	// this method overrides the default method "inactive_account_msg()" from the
	// superclass "inactive_account_msg_1" ..

	AccountInfo* accountInfo = data_->getCurrentAccountInfo();

	int id = accountInfo->getID();

	cout << "The transaction failed because the current user account is inactive (id: " << id << ")." << endl;

	return false;


}
